#!/usr/bin/env bash

echo "Initial nslookup ${HOSTNAME}.${APPNET}"
nslookup ${HOSTNAME}.${APPNET}
while [ $? -ne 0 ]; do
  echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
  sleep 1
  nslookup ${HOSTNAME}.${APPNET}
done

/opt/updatedb.sh

sed -i "s/192.168.201.12:27017/${DB_CLUSTER}/" /etc/web-laboratory-admin/application.conf

sed -i "s/192\.168\.201\.13/$(nslookup ${HOSTNAME}.${APPNET} | grep Address | tail -n1 | cut -f2 -d' ')/" /etc/web-laboratory-admin/application.conf

exec "$@"
